﻿@model EMartVG.Models.Usuarios

@{
    ViewBag.Title = "PerfilCliente";
}

<h2 class="font-weight-bolder text-center"style="color:white; opacity:0.8;background-color:black">Perfil de @Model.Primer_Nombre @Model.Primer_Apellido</h2>
<nav aria-label="breadcrumb">
    <ol class="breadcrumb" style="color: white;opacity: 0.8;background-color: black">
        <li class="breadcrumb-item"><a href="~/Cliente/PerfilCliente/" style="color:white">Cuenta Usuario</a></li>
        <li class="breadcrumb-item active" aria-current="~/Cliente/PerfilCliente/">Editar Perfil</li>
    </ol>
</nav>

<div class="card text-left" style="background-color:black">
    <div class="card-header">
        <ul class="nav nav-tabs card-header-tabs">
            <li class="nav-item">
                <a class="nav-link active font-weight-bolder" style="background-color:whitesmoke ; color: black" href="~/Cliente/PerfilCliente/">Editar</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" style="color:white" href="~/Cliente/HistorialCompras/">Ordenes Activas</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" style="color:white" href="~/Cliente/HistorialComprasCompletas/">Ordenes Completadas</a>
            </li>
        </ul>
    </div>
    <div class="card-body" style="background-color:whitesmoke">
        <form method="post">

            <div class="form-group " style="margin-top:30px;">
                <h4>Información general</h4>
            </div>
            <input type="hidden" name="Id_Usuario" value="@Model.Id_Usuario" />
            <div class="form-group">
                <div class="col-md-10">
                    <label>Primer Nombre:</label>
                    <input type="text" name="Primer_Nombre" id="Primer_Nombre" class="form-control" value="@Model.Primer_Nombre" maxlength="50" />
                </div>
            </div>

            <div class="form-group">
                <div class="col-md-10">
                    <label>Segundo Nombre:</label>
                    <input type="text" name="Segundo_Nombre" id="Segundo_Nombre" class="form-control" value="@Model.Segundo_Nombre" maxlength="50" />
                </div>
            </div>

            <div class="form-group">
                <div class="col-md-10">
                    <label>Apellido Paterno:</label>
                    <input type="text" name="Primer_Apellido" id="Primer_Apellido" class="form-control" value="@Model.Primer_Apellido" maxlength="50" />
                </div>
            </div>

            <div class="form-group">
                <div class="col-md-10">
                    <label>Apellido Materno:</label>
                    <input type="text" name="Segundo_Apellido" id="Segundo_Apellido" class="form-control" value="@Model.Segundo_Apellido" maxlength="50" />
                </div>
            </div>

            <div class="form-group">
                <div class="col-md-10">
                    <label>Run:</label>
                    <input type="text" name="Run" id="Run" class="form-control" value="@Model.Run" oninput="checkRut(this)" maxlength="50" />
                </div>
            </div>

            <div class="form-group">
                <div class="col-md-10">
                    <label>Email:</label>
                    <input hidden type="text" name="Email" id="Email" class="form-control" value="@Model.Email" maxlength="50" />
                </div>
                <div class="col-md-10">
                    <label>@Model.Email</label>
                </div>
            </div>

            <div class="form-group">
                <div class="col-md-10">
                    @Html.ValidationMessageFor(model => model.Email, "", new { @class = "text-danger" })
                </div>
            </div>

            <div class="form-group">
                <div class="col-md-10">
                    <label>Password:</label>
                    <input type="password" name="Password" id="Password" class="form-control" value="@Model.Password" maxlength="50" />
                </div>
            </div>

            <div class="form-group">
                <div class="col-md-10">
                    <label>Confirma Password:</label>
                    <input type="password" name="ConfirmaPassword" id="ConfirmaPassword" class="form-control" value="@Model.Password" maxlength="50" />
                </div>
            </div>

            <div class="form-group" style="margin-top:30px;">
                <h4>Información de despacho </h4>
            </div>


            <div class="form-group">
                <div class="col-md-10">
                    <label>Calle:</label>
                    <input type="text" name="Calle" id="Calle" class="form-control" value="@Model.Calle" maxlength="50" />
                </div>
            </div>


            <div class="form-group">
                <div class="col-md-10">
                    <label>Número:</label>
                    <input type="number" min="1" required name="Numero" id="Numero" pattern="^[0-9]+" class="form-control" value="@Model.Numero" maxlength="50" />
                </div>
            </div>

            <div class="form-group">

                <div class="col-md-10">
                    <label>Ciudad/Comuna:</label>
                    <input type="text" name="Ciudad_Comuna" id="Ciudad_Comuna" class="form-control" value="@Model.Ciudad_Comuna" maxlength="50" />
                </div>
            </div>
            <div class="form-group">
                <div class="col-md-10">
                    <label>Región:</label>
                    <select id="Region" name="Region" class="form-control">
                        <option selected value="">Selecciona Región</option>
                        <option value="Tarapaca">Tarapacá</option>
                        <option value="BioBio">BioBio</option>
                        <option value="Santiago">Sntiago</option>
                    </select>
                </div>
            </div>
            <div class="form-group ">
                <div class="col-md-offset-2 col-md-10">
                    <input type="submit" id="btnSubmit" value="Actualiza Datos" class="btn btn-dark" />
                </div>
            </div>
        </form>
    </div>
</div>



    <!--PENDIENTE VALIDAR
    -Validar dirección email valida ( debe ser por jquery)
    -datos despacho vacios Calle, Numero, Ciudad_Comuna
    -->
   
@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
    <script src="~/Scripts/SweetAlert.js"></script>
    <script src="~/Scripts/Validaciones/Valida.js"></script>
    <script>
        $("#btnSubmit").click(function (e) {
            
            let error = "";
            if (!$("#Primer_Nombre").val()) {
                error = "Debe ingresar su primer nombre \n";
            }
            if (!$("#Segundo_Nombre").val()) {
                error += "Debe ingresar su segundo nombre \n";
            }
            if (!$("#Primer_Apellido").val()) {
                error += "Debe ingresar su apellido paterno \n";
            }
            if (!$("#Segundo_Apellido").val()) {
                error += "Debe ingresar su apellido materno \n";
            }
            if (!$("#Run").val()) {
                error += "Debe ingresar su RUN \n";
            }
            if (!$("#Region").val()) {
                error += "Debe seleccionar una región \n";
            }
            if (!$("#Calle").val()) {
                error += "Debe ingresar una calle de dirección\n";
            }
            if (!$("#Numero").val()) {
                error += "Debe ingresar un número de dirección válido\n";
            }
            if (!$("#Ciudad_Comuna").val()) {
                error += "Debe ingresar una comuna \n";
            }
            if ($("#Password").val().length < 3) {
                error += "El password debe tener al menos 3 caracteres \n";
            }
            if ($('#Password').val() != $('#ConfirmaPassword').val()) {
                error += "Los passwords no son iguales  \n";
            }
            if (error != "") {
                e.preventDefault();
                swal("Información  incompleta", error, "error");
            }
        });
    </script>
}